Bug 1675698 - pycam: FTBFS in Fedora rawhide/f30
Summary: pycam: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pycam
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: John Morris
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:31 UTC by Fedora Release Engineering
Modified: 2019-08-08 16:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 16:19:02 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:31 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:31 UTC, Fedora Release Engineering
no flags Details
state.log (617 bytes, text/plain)
2019-02-11 21:31 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:31:05 UTC
pycam failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32452328


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix pycam at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
pycam will be orphaned. Before branching of Fedora 31,
pycam will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:31:07 UTC
Created attachment 1532118 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:31:09 UTC
Created attachment 1532119 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:31:10 UTC
Created attachment 1532120 [details]
state.log

Comment 4 Fedora Release Engineering 2019-04-26 23:31:18 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 5 Michael K Johnson 2019-04-27 18:48:54 UTC
0.6.0 was released in 2017, https://github.com/SebKuzminsky/pycam/releases/tag/v0.6.3 is the latest release at this time.

Comment 6 John Morris 2019-04-30 01:34:02 UTC
I've gone ahead and retired this package.  The project has no active upstream maintainers.

Comment 7 Fedora Release Engineering 2019-08-08 16:19:02 UTC
The package was retired.


Note You need to log in before you can comment on or make changes to this bug.